function renameNode(nodeId) {
  var newName = $("#newName").val();
  var url = "/node/" + nodeId + "/rename/" + newName;
  $.ajax({
    url: url,
    xhrFields: {
      withCredentials: true,
    },
    success: function (data) {
      $("#renameModal").modal("hide");
      $("#givenName").html(data.newName);
    },
  });
}

function copyToClipboard(obj) {
  var span = $(obj);
  var value = span.attr("data-original-title");
  var original = span.html();
  try {
    navigator.clipboard.writeText(value);
    span.html("copied!");
    setTimeout(function () {
      span.html(original);
    }, 500);
  } catch (error) {
    span.html("error");
    console.error(error);
  }
}
